MyGUI::IResource Class Reference

`#include <MyGUI_IResource.h>`

Inheritance diagram for MyGUI::IResource:
[legend]

## Public Types

typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Member Functions

| IResource ()=default
| ~IResource () override=default
void | deserialization (xml::ElementPtr _node, Version) override

## Protected Attributes

std::string | mResourceName

## Friends

class | ResourceManager

## Detailed Description

Definition at line 23 of file MyGUI_IResource.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::IResource::Base

Definition at line 28 of file MyGUI_IResource.h.

## RTTIBase

typedef IResource MyGUI::IResource::RTTIBase

Definition at line 28 of file MyGUI_IResource.h.

## Constructor & Destructor Documentation

## IResource() [1/2]

MyGUI::IResource::IResource | ( | IResource const & |  | ) |

delete

## IResource() [2/2]

MyGUI::IResource::IResource | ( |  | ) |

protected default

## ~IResource()

MyGUI::IResource::~IResource | ( |  | ) |

override protected default

## Member Function Documentation

## deserialization()

void MyGUI::IResource::deserialization | ( | xml::ElementPtr | _node,
|  | Version | )

inline override protected virtual

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, and MyGUI::ResourceTrueTypeFont.

Definition at line 48 of file MyGUI_IResource.h.

## getClassTypeName()

std::string_view MyGUI::IResource::getClassTypeName | ( |  | ) |

inline static

Definition at line 28 of file MyGUI_IResource.h.

## getResourceName()

const std::string & MyGUI::IResource::getResourceName | ( |  | ) | const

inline

Definition at line 31 of file MyGUI_IResource.h.

## getTypeName()

virtual std::string_view MyGUI::IResource::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::IFont, MyGUI::IPointer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, and MyGUI::ResourceTrueTypeFont.

Definition at line 28 of file MyGUI_IResource.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::IResource::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 28 of file MyGUI_IResource.h.

## isType() [2/2]

virtual bool MyGUI::IResource::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::ISerializable.

Reimplemented in MyGUI::IFont, MyGUI::IPointer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, and MyGUI::ResourceTrueTypeFont.

Definition at line 28 of file MyGUI_IResource.h.

## operator=()

IResource & MyGUI::IResource::operator= | ( | IResource const & |  | ) |

delete

## setResourceName()

void MyGUI::IResource::setResourceName | ( | std::string_view | _value | ) |

inline

Definition at line 36 of file MyGUI_IResource.h.

## Friends And Related Symbol Documentation

## ResourceManager

friend class ResourceManager

friend

Definition at line 26 of file MyGUI_IResource.h.

## Field Documentation

## mResourceName

std::string MyGUI::IResource::mResourceName

protected

Definition at line 54 of file MyGUI_IResource.h.

The documentation for this class was generated from the following file:

- MyGUI_IResource.h